glibmm: Gio::DataOutputStream Class Reference

glibmm 2.88.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gio::DataOutputStream Class Reference
Stream Classes

An implementation of FilterOutputStream that allows for high-level data manipulation of arbitrary data (including binary operations). More...

`#include <giomm/dataoutputstream.h>`

Inheritance diagram for Gio::DataOutputStream:
[legend]

## Public Member Functions
| DataOutputStream (DataOutputStream && src) noexcept
DataOutputStream & | operator= (DataOutputStream && src) noexcept
| ~DataOutputStream () noexcept override
GDataOutputStream * | gobj ()
| Provides access to the underlying C GObject.
const GDataOutputStream * | gobj () const
| Provides access to the underlying C GObject.
GDataOutputStream * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_byte_order (DataStreamByteOrder order)
| Sets the byte order of the data output stream to order.
DataStreamByteOrder | get_byte_order () const
| Gets the byte order for the stream.
bool | put_byte (guchar data, const Glib::RefPtr< Cancellable > & cancellable)
| Puts a byte into the output stream.
bool | put_byte (guchar data)
| A put_byte() convenience overload.
bool | put_int16 (gint16 data, const Glib::RefPtr< Cancellable > & cancellable)
| Puts a signed 16-bit integer into the output stream.
bool | put_int16 (gint16 data)
| A put_int16() convenience overload.
bool | put_uint16 (guint16 data, const Glib::RefPtr< Cancellable > & cancellable)
| Puts an unsigned 16-bit integer into the output stream.
bool | put_uint16 (guint16 data)
| A put_uint16() convenience overload.
bool | put_int32 (gint32 data, const Glib::RefPtr< Cancellable > & cancellable)
| Puts a signed 32-bit integer into the output stream.
bool | put_int32 (gint32 data)
| A put_int32() convenience overload.
bool | put_uint32 (guint32 data, const Glib::RefPtr< Cancellable > & cancellable)
| Puts an unsigned 32-bit integer into the stream.
bool | put_uint32 (guint32 data)
| A put_uint32() convenience overload.
bool | put_int64 (gint64 data, const Glib::RefPtr< Cancellable > & cancellable)
| Puts a signed 64-bit integer into the stream.
bool | put_int64 (gint64 data)
| A put_int64() convenience overload.
bool | put_uint64 (guint64 data, const Glib::RefPtr< Cancellable > & cancellable)
| Puts an unsigned 64-bit integer into the stream.
bool | put_uint64 (guint64 data)
| A put_uint64() convenience overload.
bool | put_string (const std::string & str, const Glib::RefPtr< Cancellable > & cancellable)
| Puts a string into the output stream.
bool | put_string (const std::string & str)
| A put_string() convenience overload.
Glib::PropertyProxy< DataStreamByteOrder > | property_byte_order ()
| Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream.
Glib::PropertyProxy_ReadOnly< DataStreamByteOrder > | property_byte_order () const
| Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream.
Public Member Functions inherited from Gio::FilterOutputStream
| FilterOutputStream (FilterOutputStream && src) noexcept
FilterOutputStream & | operator= (FilterOutputStream && src) noexcept
| ~FilterOutputStream () noexcept override
GFilterOutputStream * | gobj ()
| Provides access to the underlying C GObject.
const GFilterOutputStream * | gobj () const
| Provides access to the underlying C GObject.
GFilterOutputStream * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< OutputStream > | get_base_stream ()
| Gets the base stream for the filter stream.
Glib::RefPtr< const OutputStream > | get_base_stream () const
| Gets the base stream for the filter stream.
bool | get_close_base_stream () const
| Returns whether the base stream will be closed when stream is closed.
void | set_close_base_stream (bool close_base=true)
| Sets whether the base stream will be closed when stream is closed.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< OutputStream > > | property_base_stream () const
| The underlying base stream on which the I/O ops will be done.
Glib::PropertyProxy_ReadOnly< bool > | property_close_base_stream () const
| Whether the base stream should be closed when the filter stream is closed.
Public Member Functions inherited from Gio::OutputStream
| OutputStream (OutputStream && src) noexcept
OutputStream & | operator= (OutputStream && src) noexcept
| ~OutputStream () noexcept override
GOutputStream * | gobj ()
| Provides access to the underlying C GObject.
const GOutputStream * | gobj () const
| Provides access to the underlying C GObject.
GOutputStream * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
gssize | write (const void * buffer, gsize count, const Glib::RefPtr< Cancellable > & cancellable)
| Tries to write count bytes from buffer into the stream.
gssize | write (const void * buffer, gsize count)
| A write() convenience overload.
gssize | write (const std::string & buffer, const Glib::RefPtr< Cancellable > & cancellable)
| Tries to write count bytes from buffer into the stream.
gssize | write (const std::string & buffer)
| Tries to write count bytes from buffer into the stream.
bool | write_all (const void * buffer, gsize count, gsize & bytes_written, const Glib::RefPtr< Cancellable > & cancellable)
| Tries to write count bytes from buffer into the stream.
bool | write_all (const void * buffer, gsize count, gsize & bytes_written)
| A write_all() convenience overload.
bool | write_all (const std::string & buffer, gsize & bytes_written, const Glib::RefPtr< Cancellable > & cancellable)
| Tries to write count bytes from buffer into the stream.
bool | write_all (const std::string & buffer, gsize & bytes_written)
| Tries to write count bytes from buffer into the stream.
gssize | write_bytes (const Glib::RefPtr< const Glib::Bytes > & bytes, const Glib::RefPtr< Cancellable > & cancellable)
| A wrapper function for g_output_stream_write() which takes a Bytes as input.
gssize | write_bytes (const Glib::RefPtr< const Glib::Bytes > & bytes)
| A write_bytes() convenience overload.
void | write_bytes_async (const Glib::RefPtr< const Glib::Bytes > & bytes, const SlotAsyncReady & slot, const Glib::RefPtr< Cancellable > & cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of the data in bytes to the stream.
void | write_bytes_async (const Glib::RefPtr< const Glib::Bytes > & bytes, const SlotAsyncReady & slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of the data in bytes to the stream.
gssize | write_bytes_finish (const Glib::RefPtr< AsyncResult > & result)
| Finishes a stream write-from-Bytes operation.
gssize | splice (const Glib::RefPtr< InputStream > & source, const Glib::RefPtr< Cancellable > & cancellable, SpliceFlags flags=SpliceFlags::NONE)
| Splices an input stream into an output stream.
gssize | splice (const Glib::RefPtr< InputStream > & source, SpliceFlags flags=SpliceFlags::NONE)
| Splices an input stream into an output stream.
bool | flush (const Glib::RefPtr< Cancellable > & cancellable)
| Flushed any outstanding buffers in the stream.
bool | flush ()
| A flush() convenience overload.
bool | close (const Glib::RefPtr< Cancellable > & cancellable)
| Closes the stream, releasing resources related to it.
bool | close ()
| A close() convenience overload.
void | write_async (const void * buffer, gsize count, const SlotAsyncReady & slot, const Glib::RefPtr< Cancellable > & cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of count bytes from buffer into the stream.
void | write_async (const void * buffer, gsize count, const SlotAsyncReady & slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of count bytes from buffer into the stream.
gssize | write_finish (const Glib::RefPtr< AsyncResult > & result)
| Finishes a stream write operation.
void | write_all_async (const void * buffer, gsize count, const SlotAsyncReady & slot, const Glib::RefPtr< Cancellable > & cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of count bytes from buffer into the stream.
void | write_all_async (const void * buffer, gsize count, const SlotAsyncReady & slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Request an asynchronous write of count bytes from buffer into the stream.
bool | write_all_finish (const Glib::RefPtr< AsyncResult > & result, gsize & bytes_written)
| Finishes an asynchronous stream write operation started with g_output_stream_write_all_async().
void | splice_async (const Glib::RefPtr< InputStream > & source, const SlotAsyncReady & slot, const Glib::RefPtr< Cancellable > & cancellable, SpliceFlags flags=SpliceFlags::NONE, int io_priority=Glib::PRIORITY_DEFAULT)
| Splices a stream asynchronously.
void | splice_async (const Glib::RefPtr< InputStream > & source, const SlotAsyncReady & slot, SpliceFlags flags=SpliceFlags::NONE, int io_priority=Glib::PRIORITY_DEFAULT)
| Splices a stream asynchronously.
gssize | splice_finish (const Glib::RefPtr< AsyncResult > & result)
| Finishes an asynchronous stream splice operation.
void | flush_async (const SlotAsyncReady & slot, const Glib::RefPtr< Cancellable > & cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Flushes a stream asynchronously.
void | flush_async (const SlotAsyncReady & slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Flushes a stream asynchronously.
bool | flush_finish (const Glib::RefPtr< AsyncResult > & result)
| Finishes flushing an output stream.
void | close_async (const SlotAsyncReady & slot, const Glib::RefPtr< Cancellable > & cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
| Requests an asynchronous close of the stream, releasing resources related to it.
void | close_async (const SlotAsyncReady & slot, int io_priority=Glib::PRIORITY_DEFAULT)
| Requests an asynchronous close of the stream, releasing resources related to it.
bool | close_finish (const Glib::RefPtr< AsyncResult > & result)
| Closes an output stream.
bool | is_closed () const
| Checks if an output stream has already been closed.
bool | is_closing () const
| Checks if an output stream is being closed.
bool | has_pending () const
| Checks if an output stream has pending actions.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
void * | get_data (const QueryQuark & key)
void | set_data (const Quark & key, void * data)
void | set_data_with_c_callback (const Quark & key, void * data, GDestroyNotify notify)
void | set_data (const Quark & key, void * data, DestroyNotify notify)
| Prefer set_data_with_c_callback() with a callback with C linkage.
void | remove_data (const QueryQuark & quark)
void * | steal_data (const QueryQuark & quark)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring & property_name, const Glib::ValueBase & value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring & property_name, Glib::ValueBase & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | set_property (const Glib::ustring & property_name, const PropertyType & value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | get_property (const Glib::ustring & property_name, PropertyType & value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
PropertyType | get_property (const Glib::ustring & property_name) const
| You probably want to use a specific property_*() accessor method instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, const sigc::slot< void()> & slot)
| You can use the signal_changed() signal of the property proxy instead.
sigc::connection | connect_property_changed (const Glib::ustring & property_name, sigc::slot< void()> && slot)
| You can use the signal_changed() signal of the property proxy instead.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject * | gobj ()
| Provides access to the underlying C GObject.
const GObject * | gobj () const
| Provides access to the underlying C GObject.
GObject * | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const
Public Member Functions inherited from Gio::Seekable
| Seekable (Seekable && src) noexcept
Seekable & | operator= (Seekable && src) noexcept
| ~Seekable () noexcept override
GSeekable * | gobj ()
| Provides access to the underlying C GObject.
const GSeekable * | gobj () const
| Provides access to the underlying C GObject.
goffset | tell () const
| Tells the current position within the stream.
bool | can_seek () const
| Tests if the stream supports the SeekableIface.
bool | seek (goffset offset, Glib::SeekType type, const Glib::RefPtr< Cancellable > & cancellable)
| Seeks in the stream by the given offset, modified by type.
bool | seek (goffset offset, Glib::SeekType type)
| A seek() convenience overload.
bool | can_truncate () const
| Tests if the length of the stream can be adjusted with g_seekable_truncate().
bool | truncate (goffset offset, const Glib::RefPtr< Cancellable > & cancellable)
| Truncates a stream with a given #offset.
bool | truncate (goffset offset)
| A truncate() convenience overload.
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor.
| Interface (Interface && src) noexcept
Interface & | operator= (Interface && src) noexcept
| Interface (const Glib::Interface_Class & interface_class)
| Called by constructors of derived classes.
| Interface (GObject * castitem)
| Called by constructors of derived classes.
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< DataOutputStream > | create (const Glib::RefPtr< OutputStream > & base_stream)
Static Public Member Functions inherited from Gio::FilterOutputStream
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gio::OutputStream
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gio::Seekable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| DataOutputStream (const Glib::RefPtr< OutputStream > & base_stream)
Protected Member Functions inherited from Gio::FilterOutputStream
| FilterOutputStream (const Glib::RefPtr< OutputStream > & base_stream)
Protected Member Functions inherited from Gio::OutputStream
| OutputStream ()
bool | set_pending ()
| Sets stream to have actions pending.
void | clear_pending ()
| Clears the pending flag on stream.
virtual gssize | write_vfunc (const void * buffer, gsize count, const Glib::RefPtr< Cancellable > & cancellable)
virtual gssize | splice_vfunc (const Glib::RefPtr< InputStream > & source, const Glib::RefPtr< Cancellable > & cancellable, SpliceFlags flags)
virtual bool | flush_vfunc (const Glib::RefPtr< Cancellable > & cancellable)
virtual bool | close_vfunc (const Glib::RefPtr< Cancellable > & cancellable)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams & construct_params)
| Object (GObject * castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor.
| ObjectBase (const char * custom_type_name)
| A derived constructor always overrides this choice.
| ObjectBase (const std::type_info & custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually.
| ObjectBase (ObjectBase && src) noexcept
ObjectBase & | operator= (ObjectBase && src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject * castitem)
void | initialize_move (GObject * castitem, Glib::ObjectBase * previous_wrapper)
Protected Member Functions inherited from Gio::Seekable
| Seekable ()
| You should derive from this class to use it.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gio::DataOutputStream > | wrap (GDataOutputStream * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gio::FilterOutputStream
Glib::RefPtr< Gio::FilterOutputStream > | wrap (GFilterOutputStream * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gio::OutputStream
Glib::RefPtr< Gio::OutputStream > | wrap (GOutputStream * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject * object, bool take_copy=false)
Related Symbols inherited from Gio::Seekable
Glib::RefPtr< Gio::Seekable > | wrap (GSeekable * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gio::OutputStream
enum class | SpliceFlags { SpliceFlags::NONE = 0x0 , SpliceFlags::CLOSE_SOURCE = (1 << 0) , SpliceFlags::CLOSE_TARGET = (1 << 1) }
| GOutputStreamSpliceFlags determine how streams should be spliced. More...
Public Types inherited from Glib::Object
using | DestroyNotify = void (*)(gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

An implementation of FilterOutputStream that allows for high-level data manipulation of arbitrary data (including binary operations).

Since glibmm 2.16

## Constructor & Destructor Documentation

## ◆ DataOutputStream() [1/2]

Gio::DataOutputStream::DataOutputStream | ( | DataOutputStream && | src | ) |
| noexcept

## ◆ ~DataOutputStream()

Gio::DataOutputStream::~DataOutputStream | ( |  | ) |
| overridenoexcept

## ◆ DataOutputStream() [2/2]

Gio::DataOutputStream::DataOutputStream | ( | const Glib::RefPtr< OutputStream > & | base_stream | ) |
| explicitprotected

## Member Function Documentation

## ◆ create()

Glib::RefPtr< DataOutputStream > Gio::DataOutputStream::create | ( | const Glib::RefPtr< OutputStream > & | base_stream | ) |
| static

## ◆ get_byte_order()

DataStreamByteOrder Gio::DataOutputStream::get_byte_order | ( |  | ) | const

Gets the byte order for the stream.

Returns
  The DataStreamByteOrder for the stream.

## ◆ get_type()

GType Gio::DataOutputStream::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GDataOutputStream * Gio::DataOutputStream::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GDataOutputStream * Gio::DataOutputStream::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GDataOutputStream * Gio::DataOutputStream::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

DataOutputStream & Gio::DataOutputStream::operator= | ( | DataOutputStream && | src | ) |
| noexcept

## ◆ property_byte_order() [1/2]

Glib::PropertyProxy< DataStreamByteOrder > Gio::DataOutputStream::property_byte_order | ( |  | ) |

Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream.

Default value: Gio::DataStreamByteOrder::BIG_ENDIAN

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_byte_order() [2/2]

Glib::PropertyProxy_ReadOnly< DataStreamByteOrder > Gio::DataOutputStream::property_byte_order | ( |  | ) | const

Determines the byte ordering that is used when writing multi-byte entities (such as integers) to the stream.

Default value: Gio::DataStreamByteOrder::BIG_ENDIAN

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ put_byte() [1/2]

bool Gio::DataOutputStream::put_byte | ( | guchar | data | ) |

A put_byte() convenience overload.

## ◆ put_byte() [2/2]

bool Gio::DataOutputStream::put_byte | ( | guchar | data,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts a byte into the output stream.

Parameters

  data | A #guchar.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if data was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ put_int16() [1/2]

bool Gio::DataOutputStream::put_int16 | ( | gint16 | data | ) |

A put_int16() convenience overload.

## ◆ put_int16() [2/2]

bool Gio::DataOutputStream::put_int16 | ( | gint16 | data,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts a signed 16-bit integer into the output stream.

Parameters

  data | A #gint16.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if data was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ put_int32() [1/2]

bool Gio::DataOutputStream::put_int32 | ( | gint32 | data | ) |

A put_int32() convenience overload.

## ◆ put_int32() [2/2]

bool Gio::DataOutputStream::put_int32 | ( | gint32 | data,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts a signed 32-bit integer into the output stream.

Parameters

  data | A gint32.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if data was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ put_int64() [1/2]

bool Gio::DataOutputStream::put_int64 | ( | gint64 | data | ) |

A put_int64() convenience overload.

## ◆ put_int64() [2/2]

bool Gio::DataOutputStream::put_int64 | ( | gint64 | data,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts a signed 64-bit integer into the stream.

Parameters

  data | A gint64.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if data was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ put_string() [1/2]

bool Gio::DataOutputStream::put_string | ( | const std::string & | str | ) |

A put_string() convenience overload.

## ◆ put_string() [2/2]

bool Gio::DataOutputStream::put_string | ( | const std::string & | str,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts a string into the output stream.

Parameters

  str | A string.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if string was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ put_uint16() [1/2]

bool Gio::DataOutputStream::put_uint16 | ( | guint16 | data | ) |

A put_uint16() convenience overload.

## ◆ put_uint16() [2/2]

bool Gio::DataOutputStream::put_uint16 | ( | guint16 | data,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts an unsigned 16-bit integer into the output stream.

Parameters

  data | A #guint16.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if data was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ put_uint32() [1/2]

bool Gio::DataOutputStream::put_uint32 | ( | guint32 | data | ) |

A put_uint32() convenience overload.

## ◆ put_uint32() [2/2]

bool Gio::DataOutputStream::put_uint32 | ( | guint32 | data,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts an unsigned 32-bit integer into the stream.

Parameters

  data | A #guint32.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if data was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ put_uint64() [1/2]

bool Gio::DataOutputStream::put_uint64 | ( | guint64 | data | ) |

A put_uint64() convenience overload.

## ◆ put_uint64() [2/2]

bool Gio::DataOutputStream::put_uint64 | ( | guint64 | data,
|  | const Glib::RefPtr< Cancellable > & | cancellable )

Puts an unsigned 64-bit integer into the stream.

Parameters

  data | A #guint64.
  cancellable | Optional Cancellable object, nullptr to ignore.

Returns
  true if data was successfully added to the stream.

Exceptions

  Glib::Error |

## ◆ set_byte_order()

void Gio::DataOutputStream::set_byte_order | ( | DataStreamByteOrder | order | ) |

Sets the byte order of the data output stream to order.

Parameters

  order | A DataStreamByteOrder.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gio::DataOutputStream > wrap | ( | GDataOutputStream * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.